lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "trick_or_treat/version"

Gem::Specification.new do |spec|
  spec.name          = 'trick_or_treat'
  spec.version       = TrickOrTreat::VERSION
  spec.authors       = ['Sergio Romero']
  spec.email         = ['sergioro@nmsu.edu']

  spec.summary       = %q{Trick or treat}
  spec.description   = %q{Happy Hackoween}
  spec.homepage      = 'https://github.com/sergioro9/trick_or_treat'
  spec.license       = 'MIT'

  spec.metadata['homepage_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'minitest'
  spec.add_development_dependency 'minitest-reporters'
  spec.add_development_dependency 'byebug'

  spec.add_runtime_dependency 'rake', '~> 10.0'
  spec.add_runtime_dependency 'safe_yaml', '~> 1.0.5'
  spec.add_runtime_dependency 'nokogiri', '~> 1.10.4'
end
